DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# FeatureSurfaceArea

Measure the area of the object's surface

## SYNOPSIS

`#include "dip_measurement.h"`

dip_int dip_FeatureSurfaceAreaID ( void )

## OUTPUT DATA TYPE

`dip_float`

## FUNCTION

`dip_FeatureSurfaceAreaID` returns the ID value of this measurement function, that is registered by `Initialise`.

This function measures the area of a 3D object's surface using six-connected boundary voxels.

## NOTE

If any physical dimensions are passed to this function through `Measure`, only the sample distance along the first dimension is used. All other dimensions are assumed to be sampled the same way. This produces incorrect results for anisotropically sampled images.

## LITERATURE

J.C. Mullikin and P.W. Verbeek (1993), "Surface area estimation of digitized planes.", bioimaging 1(1): 6-16.

## SEE ALSO

`Measure`

`FeatureAnisotropy2D`, `FeatureBendingEnergy`, `FeatureCenter`, `FeatureChainCodeBendingEnergy`, `FeatureConvexArea`, `FeatureConvexPerimeter`, `FeatureConvexity`, `FeatureDimension`, `FeatureExcessKurtosis`, `FeatureFeret`, `FeatureGinertia`, `FeatureGmu`, `FeatureGravity`, `FeatureInertia`, `FeatureLongestChaincodeRun`, `FeatureMass`, `FeatureMaxVal`, `FeatureMaximum`, `FeatureMean`, `FeatureMinVal`, `FeatureMinimum`, `FeatureMu`, `FeatureOrientation2D`, `FeatureP2A`, `FeaturePerimeter`, `FeatureRadius`, `FeatureShape`, `FeatureSize`, `FeatureSkewness`, `FeatureStdDev`, `FeatureSum`, `FeatureSurfaceArea`